<?php
/*
+===========================================+
|      ArabPortal V2.2.x Copyright © 2008   |
|   -------------------------------------   |
|                     BY                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 08/08/2008 Time: 06:00 AM  |
+===========================================+
*/
error_reporting  (E_ERROR | E_WARNING | E_PARSE);
@extract($_POST);
@extract($_GET);
@extract($_SERVER);
@set_time_limit(900);

echo  "<html dir=\"rtl\"> 
<head> 
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1256\"> 
<meta http-equiv=\"Content-Language\" content=\"ar-sa\"> 
<title>تحديث برنامج البوابة العربية</title> 
<link rel=\"stylesheet\" type=\"text/css\" href=\"./../html/css/arabportal.css\">

</head> 

<body background=\"./../themes/newapt/background.gif\" topmargin=\"0\" leftmargin=\"0\" rightmargin=\"0\" bottommargin=\"0\">
<div align=\"center\"><table border=\"0\" width=\"778\" id=\"table3\" cellspacing=\"0\" cellpadding=\"0\">
<tr>
<td width=\"100%\" height=\"12\">
<div align=\"center\">
<table border=\"0\" cellpadding=\"0\" style=\"border-collapse: collapse\" width=\"777\">
<tr>
<td width=\"29\">
<img border=\"0\" src=\"./../themes/newapt/headet_setup_04.gif\" width=\"316\" height=\"142\"></td>
<td background=\"./../themes/newapt/headet_setup_02.gif\">&nbsp;</td>
<td width=\"29\">
<img border=\"0\" src=\"./../themes/newapt/headet_setup_01.gif\" width=\"202\" height=\"142\"></td>
</tr>
</div>
</td>
</tr>
<table></div>
<table cellSpacing=\"0\" cellPadding=\"0\" height=50% width=\"98%\" bgColor=\"#F1F6FC\" border=\"0\" id=\"table6\"> 
<tr> 
<td style=\"padding: 5px\" vAlign=\"top\" align=\"middle\" width=\"100%\"> 
<div align=\"right\"> <b>
"; 


if ((!$step) or ($step == 0)){

@unlink('../upload/test.txt');
@unlink('../html/test.txt');
@unlink('../html/css/test.txt');
@unlink('../html/Cache/test.txt');

if(!@fopen( '../upload/test.txt' , "w" )){
$uploadState = "<li><font color=red>يجب ان تعطي مجلد upload التصريح 777</font>";
$false = true;
}else $uploadState = "<li><font color=green>مجلد upload يحمل التصريح المناسب</font>";

if(!@fopen( '../html/test.txt' , "w" )){
$htmlState = "<li><font color=red>يجب ان تعطي مجلد html التصريح 777</font>";
$false = true;
}else $htmlState = "<li><font color=green>مجلد html يحمل التصريح المناسب</font>";

if(!@fopen( '../html/css/test.txt' , "w" )){
$cssState = "<li><font color=red>يجب ان تعطي مجلد css التصريح 777</font>";
$false = true;
}else $cssState = "<li><font color=green>مجلد css يحمل التصريح المناسب</font>";

if(!@fopen( '../html/Cache/test.txt' , "w" )){
$CacheState = "<li><font color=red>يجب ان تعطي مجلد Cache التصريح 777</font>";
$false = true;
}else $CacheState = "<li><font color=green>مجلد Cache يحمل التصريح المناسب</font>";

echo "<br><font color=red><b>معلومة: يجب عليك اخذ نسخة احتياطية من قاعدة البيانات قبل التحديث<br>وذلك لاسترجاعها في حالة حدوث خلل</font></b><br><h3 class=\"small_dark_link\">الخطوة الاولى:</h3>تصريحات الملفات و المجلدات :<br>
$uploadState <br> $htmlState <br> $cssState <br> $CacheState <br>$confState";

@unlink('../upload/test.txt');
@unlink('../html/test.txt');
@unlink('../html/css/test.txt');
@unlink('../html/Cache/test.txt');

if($false == true){
echo "<br><br><center><font color=red>قم بعمل التصريحات المناسبة ثم اعد تحميل الصفحة</font></center>";
}else{
echo "<br><br><center><a href=update.php?step=1><font color=blue>انتقل الى الخطوة الثانية</font></a></center>";
}

}elseif($step == 1){
include("./../admin/conf.php");

$sercon = @mysql_connect($CONF['dbserver'],$CONF['dbuser'],$CONF['dbpword']);
$dbcon = @mysql_select_db($CONF['dbname'],$sercon);

if(!$sercon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالسيرفر لمجلة البوابة العربية</h3></font></center>";
}elseif(!$dbcon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالقاعدة لمجلة البوابة العربية</h3></font></center>";
}else{

function settings(){
    $result = @mysql_query("SELECT variable,value FROM  rafia_settings");
    while($row = @mysql_fetch_array($result)){
         $key       =  $row[variable];
         $arr[$key] =  $row[value];
     }
    return $arr;
}

$settings = settings();

$xxx = '';
$filename = "update.sql";
@set_time_limit(900);
$w = 1;
	$cur_sql = '';

	if(function_exists('file')){
	$sql_file = file($filename);}else{
	$open = fopen($filename,'r');
	$fdata = fread($open,filesize($filename));
	$sql_file = explode("\n",$fdata);}

	foreach($sql_file as $v) {

		$sql = trim($v);

		if($sql[0] == '#') {
			continue;
		}

		if(!$sql) {
			continue;
		}

		$cur_sql .= $sql . ' ';
		if(substr($sql, -1, 1) == ';') {
			$sql_statements[] = substr(trim($cur_sql), 0, -1);
			$cur_sql = '';
		}
	}
	if(count($sql_statements)) {
		foreach($sql_statements as $k=>$v) {
			if(!mysql_query($v)) {
if(! strstr($v,'ALTER')){
$wrong = mysql_error();
$ww = $w++;
$xxx .= "$ww => $wrong [ $v ] \n\n";
}
}
}
}

foreach($settings as $key=>$value){
@mysql_query("update rafia_settings set value='$value' where variable='$key';");
}

if($wrong){

echo "<br><h3 class=\"small_dark_link\">الخطوة الثانية:</h3>عفوا .. حصلت اخطاء عن تحميل اوامر القاعدة و هي";
echo "<br><center><textarea align=left dir=ltr cols=100 rows=10>";
echo $xxx;
echo "</textarea></center>";
}else{
echo "<br><h3 class=\"small_dark_link\">الخطوة الثانية:</h3>تم تحميل اوامر SQL للقاعدة بنجاح";
}
}

echo "<br><br><center><a href=update.php?step=2><font color=blue>انتقل الى الخطوة الثالثة >>> </font></a></center>";

}elseif($step == 2){
echo "<br><h3 class=\"small_dark_link\">الخطوة الثالثة:</h3>تحديث معلومات قاعدة البيانات";

include("./../admin/conf.php");

$sercon = mysql_connect($CONF['dbserver'],$CONF['dbuser'],$CONF['dbpword']);
$dbcon = mysql_select_db($CONF['dbname'],$sercon);

if(!$sercon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالسيرفر لمجلة البوابة العربية</h3></font></center>";
}elseif(!$dbcon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالقاعدة لمجلة البوابة العربية</h3></font></center>";
}else{


$dresult = mysql_query("SELECT * FROM old_design where theme !='portal'"); 
while ($row = mysql_fetch_array($dresult)) {
@extract($row);
$theme = addslashes($theme);
$themepath = addslashes($themepath);
$style_css = addslashes($style_css);
$pagehd = addslashes($pagehd);
$pageft = addslashes($pageft);
$themewidth = addslashes($themewidth);
mysql_query("INSERT INTO rafia_design VALUES ('', '$theme', 0, '$themewidth', '$themepath', '$style_css', '$pagehd', '$pageft')");
}
echo "<br><li>تم تحديث معلومات الثيمات بنجاح";
//===========================

echo "<br><br><center><a href=update.php?step=3><font color=blue>انتقل الى الخطوة الرابعة</font></a></center>";}




}elseif($step == 3){

include("./../admin/conf.php");

$sercon = mysql_connect($CONF['dbserver'],$CONF['dbuser'],$CONF['dbpword']);
$dbcon = mysql_select_db($CONF['dbname'],$sercon);

if(!$sercon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالسيرفر لمجلة البوابة العربية</h3></font></center>";
}elseif(!$dbcon){
echo "<br><center><font color=red><h3>عفوا لم يتم الاتصال بالقاعدة لمجلة البوابة العربية</h3></font></center>";
}else{


//===========================

$tresult = mysql_query("SELECT * FROM old_templates where theme !='portal'"); 
while ($rowt = mysql_fetch_array($tresult)) {
@extract($rowt);
$theme = addslashes($theme);
$name = addslashes($name);
$template = addslashes($template);
mysql_query("INSERT INTO rafia_templates VALUES ('', '$theme', '$name', '$temptype', '$template');");
}
echo "<li>تم تحديث معلومات القوالب بنجاح";

//===========================

mysql_query("update rafia_settings set value='portal' where variable='theme';");
mysql_query("DROP TABLE old_templates");
mysql_query("DROP TABLE old_design");


@mysql_query("ALTER TABLE `rafia_rss` ADD `count` TINYINT(3) DEFAULT '10' NOT NULL;");
@mysql_query("CREATE TABLE rafia_media_moalif (
  id_moalif int(10) NOT NULL auto_increment,
  name_moalif varchar(255) NOT NULL default '',
  desc_moalif text NOT NULL,
  order_moalif tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id_moalif)
);");
@mysql_query("ALTER TABLE `rafia_media_items` ADD `item_moalif` VARCHAR(255) NOT NULL AFTER `item_title`;");
@mysql_query("ALTER TABLE `rafia_media_items` ADD `item_send` INT(10) DEFAULT '0' NOT NULL AFTER `item_crate`, ADD `item_sticky` TINYINT(1) DEFAULT '0' NOT NULL AFTER `item_send`;");
@mysql_query("ALTER TABLE `rafia_media_comment` ADD `comment_allow` TINYINT(1) NOT NULL;");

@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'عدد اعمدة الاقسام', 'Cat_media', '2', 3, 3);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'عدد المشاركات في كل صفحة', 'media_active', '25', 4, 6);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'تفعيل التعليقات', 'comment_allow', 'wit', 5, 2);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'اللون الأول في تعاقب الألوان', 'color1', '#F2F2F2', 6, 6);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'اللون الثاني في تعاقب الألوان', 'color2', '#F8F8F8', 7, 6);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'المجموعة المشرفة على المكتبة', 'media_edit_gp', '1,4', 8, 7);");
@mysql_query("INSERT INTO rafia_mods_settings VALUES ('', 'media', 'المجموعة التي تستطيع الأضافة', 'media_add_gp', '1,2,3,4', 9, 7);");

echo "<li>تم حذف جميع المعلومات القديمة بنجاح";

include('./../admin/conf.php');
$op = @fopen('conf.php' , "r");
$sz = @filesize('conf.php');
$tx = @fread($op,$sz);
if(!isset($CONF['Guest_id']))$CONF['Guest_id']=-1;
$tx = str_replace("{path}",$CONF['site_path'],$tx);
$tx = str_replace("{uppath}",$CONF['upload_path'],$tx);
$tx = str_replace("{sitetitle}",$CONF['site_title'],$tx);
$tx = str_replace("{sitemail}",$CONF['site_mail'],$tx);
$tx = str_replace("{sitelink}",$CONF['site_url'],$tx);
$tx = str_replace("{kpath}","/",$tx);
$tx = str_replace("{domain}",$CONF['cookie_domain'],$tx);
$tx = str_replace("{cookie}",$CONF['cookie_info'],$tx);
$tx = str_replace("{use_cookies}","0",$tx);
$tx = str_replace("{guest}",$CONF['Guest_id'],$tx);
$tx = str_replace("{Theme_From_File}",$CONF['Theme_From_File'],$tx);
$tx = str_replace("{db_conntype}","0",$tx);
$tx = str_replace("{server_name}",$CONF['dbserver'],$tx);
$tx = str_replace("{server_db}",$CONF['dbname'],$tx);
$tx = str_replace("{server_un}",$CONF['dbuser'],$tx);
$tx = str_replace("{server_pass}",$CONF['dbpword'],$tx);

if(is_writeable('../admin/conf.php')){
$conf_open = @fopen("./../admin/conf.php",w);
@fwrite($conf_open,$tx);
@fclose($conf_open);
}else{
echo "<h3>قم بوضع الكود التالي في ملف conf.php (استبدال الكود كاملا)</h3>";
echo "<br><p align=left><textarea dir=ltr cols=110 align=left rows=6>$tx</textarea></p>";
}
echo "<br><br>قم بمسح مجلد install الان ثم <a href=./../index.php>تصفح الموقع</a> من جديد";
}
}


echo  "</b>
</div> 
</td> 
</tr> 
</table> 
<table border=\"0\" cellpadding=\"0\" style=\"border-collapse: collapse\" width=\"763\">
<tr>
<td width=\"31\">
<img border=\"0\" src=\"./../themes/newapt/foorte_setup_04.gif\" width=\"73\" height=\"86\"></td>
<td background=\"./../themes/newapt/foorte_setup_02.gif\">&nbsp;</td>
<td width=\"33\">
<img border=\"0\" src=\"./../themes/newapt/foorte_setup_01.gif\" width=\"55\" height=\"86\"></td>
</tr>
</table>
<div>
</body>
</html>
"; 

?>